# Render the current visual state of a lot for a given share link token (public, unauthenticated)

`GET https://api.parklio.com/v2/lot-share-views/display/{token}`

Returns an HTML page showing the current occupancy state of a parking lot. The view type (counts only, live camera, or vector map) is determined by the share link configuration. This endpoint is public and requires no authentication.

**Auth:** none (public)

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `token` | string | yes | The unique token used for the share link |

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `darkmode` | boolean | no | Pass darkmode=true to force dark mode in the rendered page |
| `navbar` | string (`hidden`) | no | Pass navbar=hidden to hide the header/navbar in the rendered page |

## Responses

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

